diff --git a/doc/ldap/fedfs-schema.ldif b/doc/ldap/fedfs-schema.ldif
index 06a3048..a81b35f 100644
--- a/doc/ldap/fedfs-schema.ldif
+++ b/doc/ldap/fedfs-schema.ldif
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2010 IETF Trust and the persons identified
+# Copyright (c) 2010-2012 IETF Trust and the persons identified
 # as authors of the code.  All rights reserved.
 #
 # The authors of the code are the authors of
@@ -47,7 +47,7 @@ dn: cn=schema
 #
 #---------------------------------------------------------------------
 #
-# objectClasses: ( 1.3.6.1.4.1.31103.1.1001 NAME 'fedfsNsdbContainerInfo' DESC 'Describes NCE location' SUP top AUXILIARY MUST ( fedfsNcePrefix ) MAY ( fedfsAnnotation $ fedfsDescr ) )
+# objectClasses: ( 1.3.6.1.4.1.31103.1.1001 NAME 'fedfsNsdbContainerInfo' DESC 'Describes NCE location' SUP top AUXILIARY MUST ( fedfsNceDN ) MAY ( fedfsAnnotation $ fedfsDescr ) )
 #
 objectClasses: (
  1.3.6.1.4.1.31103.1.1001 
@@ -55,13 +55,13 @@ objectClasses: (
  DESC 'Describes NCE location' 
  SUP top 
  AUXILIARY 
- MUST ( fedfsNcePrefix ) 
+ MUST ( fedfsNceDN ) 
  MAY ( fedfsAnnotation $ fedfsDescr ) 
  )
 #
 #---------------------------------------------------------------------
 #
-# objectClasses: ( 1.3.6.1.4.1.31103.1.1002 NAME 'fedfsFsn' DESC 'Represents a fileset' SUP top STRUCTURAL MUST ( fedfsFsnUuid $ fedfsNsdbName ) MAY ( fedfsNsdbPort $ fedfsAnnotation $ fedfsDescr ) )
+# objectClasses: ( 1.3.6.1.4.1.31103.1.1002 NAME 'fedfsFsn' DESC 'Represents a fileset' SUP top STRUCTURAL MUST ( fedfsFsnUuid $ fedfsFsnTTL ) MAY ( fedfsAnnotation $ fedfsDescr ) )
 #
 objectClasses: (
  1.3.6.1.4.1.31103.1.1002 
@@ -69,13 +69,13 @@ objectClasses: (
  DESC 'Represents a fileset' 
  SUP top 
  STRUCTURAL 
- MUST ( fedfsFsnUuid $ fedfsNsdbName ) 
- MAY ( fedfsNsdbPort $ fedfsAnnotation $ fedfsDescr ) 
+ MUST ( fedfsFsnUuid $ fedfsFsnTTL ) 
+ MAY ( fedfsAnnotation $ fedfsDescr ) 
  )
 #
 #---------------------------------------------------------------------
 #
-# objectClasses: ( 1.3.6.1.4.1.31103.1.1003 NAME 'fedfsFsl' DESC 'A physical location of a fileset' SUP top ABSTRACT MUST ( fedfsFslUuid $ fedfsFsnUuid $ fedfsNsdbName $ fedfsFslHost $ fedfsFslTTL ) MAY ( fedfsNsdbPort $ fedfsFslPort $ fedfsAnnotation $ fedfsDescr ) )
+# objectClasses: ( 1.3.6.1.4.1.31103.1.1003 NAME 'fedfsFsl' DESC 'A physical location of a fileset' SUP top ABSTRACT MUST ( fedfsFslUuid $ fedfsFsnUuid ) MAY ( fedfsAnnotation $ fedfsDescr ) )
 #
 objectClasses: (
  1.3.6.1.4.1.31103.1.1003 
@@ -83,13 +83,13 @@ objectClasses: (
  DESC 'A physical location of a fileset' 
  SUP top 
  ABSTRACT 
- MUST ( fedfsFslUuid $ fedfsFsnUuid $ fedfsNsdbName $ fedfsFslHost $ fedfsFslTTL ) 
- MAY ( fedfsNsdbPort $ fedfsFslPort $ fedfsAnnotation $ fedfsDescr ) 
+ MUST ( fedfsFslUuid $ fedfsFsnUuid ) 
+ MAY ( fedfsAnnotation $ fedfsDescr ) 
  )
 #
 #---------------------------------------------------------------------
 #
-# objectClasses: ( 1.3.6.1.4.1.31103.1.1004 NAME 'fedfsNfsFsl' DESC 'An NFS location of a fileset' SUP fedfsFsl STRUCTURAL MUST ( fedfsNfsPath $ fedfsNfsMajorVer $ fedfsNfsMinorVer $ fedfsNfsCurrency $ fedfsNfsGenFlagWritable $ fedfsNfsGenFlagGoing $ fedfsNfsGenFlagSplit $ fedfsNfsTransFlagRdma $ fedfsNfsClassSimul $ fedfsNfsClassHandle $ fedfsNfsClassFileid $ fedfsNfsClassWritever $ fedfsNfsClassChange $ fedfsNfsClassReaddir $ fedfsNfsReadRank $ fedfsNfsReadOrder $ fedfsNfsWriteRank $ fedfsNfsWriteOrder $ fedfsNfsVarSub $ fedfsNfsValidFor ) )
+# objectClasses: ( 1.3.6.1.4.1.31103.1.1004 NAME 'fedfsNfsFsl' DESC 'An NFS location of a fileset' SUP fedfsFsl STRUCTURAL MUST ( fedfsNfsURI $ fedfsNfsCurrency $ fedfsNfsGenFlagWritable $ fedfsNfsGenFlagGoing $ fedfsNfsGenFlagSplit $ fedfsNfsTransFlagRdma $ fedfsNfsClassSimul $ fedfsNfsClassHandle $ fedfsNfsClassFileid $ fedfsNfsClassWritever $ fedfsNfsClassChange $ fedfsNfsClassReaddir $ fedfsNfsReadRank $ fedfsNfsReadOrder $ fedfsNfsWriteRank $ fedfsNfsWriteOrder $ fedfsNfsVarSub $ fedfsNfsValidFor ) )
 #
 objectClasses: (
  1.3.6.1.4.1.31103.1.1004 
@@ -97,43 +97,20 @@ objectClasses: (
  DESC 'An NFS location of a fileset' 
  SUP fedfsFsl 
  STRUCTURAL 
- MUST ( fedfsNfsPath $ fedfsNfsMajorVer $ fedfsNfsMinorVer $ fedfsNfsCurrency $ fedfsNfsGenFlagWritable $ fedfsNfsGenFlagGoing $ fedfsNfsGenFlagSplit $ fedfsNfsTransFlagRdma $ fedfsNfsClassSimul $ fedfsNfsClassHandle $ fedfsNfsClassFileid $ fedfsNfsClassWritever $ fedfsNfsClassChange $ fedfsNfsClassReaddir $ fedfsNfsReadRank $ fedfsNfsReadOrder $ fedfsNfsWriteRank $ fedfsNfsWriteOrder $ fedfsNfsVarSub $ fedfsNfsValidFor ) 
+ MUST ( fedfsNfsURI $ fedfsNfsCurrency $ fedfsNfsGenFlagWritable $ fedfsNfsGenFlagGoing $ fedfsNfsGenFlagSplit $ fedfsNfsTransFlagRdma $ fedfsNfsClassSimul $ fedfsNfsClassHandle $ fedfsNfsClassFileid $ fedfsNfsClassWritever $ fedfsNfsClassChange $ fedfsNfsClassReaddir $ fedfsNfsReadRank $ fedfsNfsReadOrder $ fedfsNfsWriteRank $ fedfsNfsWriteOrder $ fedfsNfsVarSub $ fedfsNfsValidFor ) 
  )
 #
 #---------------------------------------------------------------------
 #
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.1 NAME 'fedfsUuid' DESC 'A UUID used by NSDB' SUP name SINGLE-VALUE )
+# attributeTypes: ( 1.3.6.1.4.1.31103.1.1 NAME 'fedfsUuid' DESC 'A UUID used by NSDB' EQUALITY uuidMatch ORDERING uuidOrderingMatch SYNTAX 1.3.6.1.1.16.1 SINGLE-VALUE )
 #
 attributeTypes: (
  1.3.6.1.4.1.31103.1.1 
  NAME 'fedfsUuid' 
  DESC 'A UUID used by NSDB' 
- SUP name 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.2 NAME 'fedfsNetAddr' DESC 'The network name of a host or service' SUP name SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.2 
- NAME 'fedfsNetAddr' 
- DESC 'The network name of a host or service' 
- SUP name 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.3 NAME 'fedfsNetPort' DESC 'A transport port number of a service' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.3 
- NAME 'fedfsNetPort' 
- DESC 'A transport port number of a service' 
- EQUALITY integerMatch 
- SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
+ EQUALITY uuidMatch 
+ ORDERING uuidOrderingMatch 
+ SYNTAX 1.3.6.1.1.16.1 
  SINGLE-VALUE 
  )
 #
@@ -151,36 +128,25 @@ attributeTypes: (
 #
 #---------------------------------------------------------------------
 #
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.5 NAME 'fedfsNsdbName' DESC 'The NSDB node component of an FSN' SUP name SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.5 
- NAME 'fedfsNsdbName' 
- DESC 'The NSDB node component of an FSN' 
- SUP name 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.6 NAME 'fedfsNsdbPort' DESC 'The transport port number of an NSDB' SUP fedfsNetPort SINGLE-VALUE )
+# attributeTypes: ( 1.3.6.1.4.1.31103.1.11 NAME 'fedfsFsnTTL' DESC 'Time to live of an FSN tree' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
 #
 attributeTypes: (
- 1.3.6.1.4.1.31103.1.6 
- NAME 'fedfsNsdbPort' 
- DESC 'The transport port number of an NSDB' 
- SUP fedfsNetPort 
+ 1.3.6.1.4.1.31103.1.11 
+ NAME 'fedfsFsnTTL' 
+ DESC 'Time to live of an FSN tree' 
+ EQUALITY integerMatch 
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
  SINGLE-VALUE 
  )
 #
 #---------------------------------------------------------------------
 #
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.7 NAME 'fedfsNcePrefix' DESC 'NCE prefix' EQUALITY distinguishedNameMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE )
+# attributeTypes: ( 1.3.6.1.4.1.31103.1.14 NAME 'fedfsNceDN' DESC 'NCE Distinguished Name' EQUALITY distinguishedNameMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE )
 #
 attributeTypes: (
- 1.3.6.1.4.1.31103.1.7 
- NAME 'fedfsNcePrefix' 
- DESC 'NCE prefix' 
+ 1.3.6.1.4.1.31103.1.14 
+ NAME 'fedfsNceDN' 
+ DESC 'NCE Distinguished Name' 
  EQUALITY distinguishedNameMatch 
  SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 
  SINGLE-VALUE 
@@ -200,43 +166,6 @@ attributeTypes: (
 #
 #---------------------------------------------------------------------
 #
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.9 NAME 'fedfsFslHost' DESC 'Service location for a fileserver' SUP fedfsNetAddr SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.9 
- NAME 'fedfsFslHost' 
- DESC 'Service location for a fileserver' 
- SUP fedfsNetAddr 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.10 NAME 'fedfsFslPort' DESC 'The file service transport port number' SUP fedfsNetPort SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.10 
- NAME 'fedfsFslPort' 
- DESC 'The file service transport port number' 
- SUP fedfsNetPort 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.11 NAME 'fedfsFslTTL' DESC 'Time to live of an FSL' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.11 
- NAME 'fedfsFslTTL' 
- DESC 'Time to live of an FSL' 
- EQUALITY integerMatch 
- SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
 # attributeTypes: ( 1.3.6.1.4.1.31103.1.12 NAME 'fedfsAnnotation' DESC 'Annotation of an object' SUP name )
 #
 attributeTypes: (
@@ -259,40 +188,13 @@ attributeTypes: (
 #
 #---------------------------------------------------------------------
 #
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.100 NAME 'fedfsNfsPath' DESC 'Server-local path to a fileset' EQUALITY octetStringMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.40 SINGLE-VALUE )
+# attributeTypes: ( 1.3.6.1.4.1.31103.1.120 NAME 'fedfsNfsURI' DESC 'Location of fileset' SUP labeledURI SINGLE-VALUE )
 #
 attributeTypes: (
- 1.3.6.1.4.1.31103.1.100 
- NAME 'fedfsNfsPath' 
- DESC 'Server-local path to a fileset' 
- EQUALITY octetStringMatch 
- SYNTAX 1.3.6.1.4.1.1466.115.121.1.40 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.101 NAME 'fedfsNfsMajorVer' DESC 'NFS major version' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.101 
- NAME 'fedfsNfsMajorVer' 
- DESC 'NFS major version' 
- EQUALITY integerMatch 
- SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
- SINGLE-VALUE 
- )
-#
-#---------------------------------------------------------------------
-#
-# attributeTypes: ( 1.3.6.1.4.1.31103.1.102 NAME 'fedfsNfsMinorVer' DESC 'NFS minor version' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
-#
-attributeTypes: (
- 1.3.6.1.4.1.31103.1.102 
- NAME 'fedfsNfsMinorVer' 
- DESC 'NFS minor version' 
- EQUALITY integerMatch 
- SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
+ 1.3.6.1.4.1.31103.1.120 
+ NAME 'fedfsNfsURI' 
+ DESC 'Location of fileset' 
+ SUP labeledURI 
  SINGLE-VALUE 
  )
 #
diff --git a/doc/ldap/fedfs.schema b/doc/ldap/fedfs.schema
index b67509f..0880ec6 100644
--- a/doc/ldap/fedfs.schema
+++ b/doc/ldap/fedfs.schema
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2010 IETF Trust and the persons identified
+# Copyright (c) 2010-2012 IETF Trust and the persons identified
 # as authors of the code.  All rights reserved.
 #
 # The authors of the code are the authors of
@@ -44,24 +44,9 @@
 attributetype (
     1.3.6.1.4.1.31103.1.1 NAME 'fedfsUuid'
     DESC 'A UUID used by NSDB'
-    SUP name
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.2 NAME 'fedfsNetAddr'
-    DESC 'The network name of a host or service'
-    SUP name
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.3 NAME 'fedfsNetPort'
-    DESC 'A transport port number of a service'
-    EQUALITY integerMatch
-    SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
+    EQUALITY uuidMatch
+    ORDERING uuidOrderingMatch
+    SYNTAX 1.3.6.1.1.16.1
     SINGLE-VALUE
     )
 
@@ -75,24 +60,17 @@ attributetype (
 
 
 attributetype (
-    1.3.6.1.4.1.31103.1.5 NAME 'fedfsNsdbName'
-    DESC 'The NSDB node component of an FSN'
-    SUP name
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.6 NAME 'fedfsNsdbPort'
-    DESC 'The transport port number of an NSDB'
-    SUP fedfsNetPort
+    1.3.6.1.4.1.31103.1.11 NAME 'fedfsFsnTTL'
+    DESC 'Time to live of an FSN tree'
+    EQUALITY integerMatch
+    SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
     SINGLE-VALUE
     )
 
 
 attributetype (
-    1.3.6.1.4.1.31103.1.7 NAME 'fedfsNcePrefix'
-    DESC 'NCE prefix'
+    1.3.6.1.4.1.31103.1.14 NAME 'fedfsNceDN'
+    DESC 'NCE Distinguished Name'
     EQUALITY distinguishedNameMatch
     SYNTAX 1.3.6.1.4.1.1466.115.121.1.12
     SINGLE-VALUE
@@ -108,31 +86,6 @@ attributetype (
 
 
 attributetype (
-    1.3.6.1.4.1.31103.1.9 NAME 'fedfsFslHost'
-    DESC 'Service location for a fileserver'
-    SUP fedfsNetAddr
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.10 NAME 'fedfsFslPort'
-    DESC 'The file service transport port number'
-    SUP fedfsNetPort
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.11 NAME 'fedfsFslTTL'
-    DESC 'Time to live of an FSL'
-    EQUALITY integerMatch
-    SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
-    SINGLE-VALUE
-    )
-
-
-attributetype (
     1.3.6.1.4.1.31103.1.12 NAME 'fedfsAnnotation'
     DESC 'Annotation of an object'
     SUP name
@@ -147,28 +100,9 @@ attributetype (
 
 
 attributetype (
-    1.3.6.1.4.1.31103.1.100 NAME 'fedfsNfsPath'
-    DESC 'Server-local path to a fileset'
-    EQUALITY octetStringMatch
-    SYNTAX 1.3.6.1.4.1.1466.115.121.1.40
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.101 NAME 'fedfsNfsMajorVer'
-    DESC 'NFS major version'
-    EQUALITY integerMatch
-    SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
-    SINGLE-VALUE
-    )
-
-
-attributetype (
-    1.3.6.1.4.1.31103.1.102 NAME 'fedfsNfsMinorVer'
-    DESC 'NFS minor version'
-    EQUALITY integerMatch
-    SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
+    1.3.6.1.4.1.31103.1.120 NAME 'fedfsNfsURI'
+    DESC 'Location of fileset'
+    SUP labeledURI
     SINGLE-VALUE
     )
 
@@ -331,7 +265,7 @@ objectclass (
     DESC 'Describes NCE location'
     SUP top AUXILIARY
     MUST (
-            fedfsNcePrefix
+            fedfsNceDN
     )
     MAY (
             fedfsAnnotation
@@ -345,11 +279,10 @@ objectclass (
     SUP top STRUCTURAL
     MUST (
             fedfsFsnUuid
-            $ fedfsNsdbName
+            $ fedfsFsnTTL
     )
     MAY (
-            fedfsNsdbPort
-            $ fedfsAnnotation
+            fedfsAnnotation
             $ fedfsDescr
     ))
 
@@ -361,14 +294,9 @@ objectclass (
     MUST (
             fedfsFslUuid
             $ fedfsFsnUuid
-            $ fedfsNsdbName
-            $ fedfsFslHost
-            $ fedfsFslTTL
     )
     MAY (
-            fedfsNsdbPort
-            $ fedfsFslPort
-            $ fedfsAnnotation
+            fedfsAnnotation
             $ fedfsDescr
     ))
 
@@ -378,9 +306,7 @@ objectclass (
     DESC 'An NFS location of a fileset'
     SUP fedfsFsl STRUCTURAL
     MUST (
-            fedfsNfsPath
-            $ fedfsNfsMajorVer
-            $ fedfsNfsMinorVer
+            fedfsNfsURI
             $ fedfsNfsCurrency
             $ fedfsNfsGenFlagWritable
             $ fedfsNfsGenFlagGoing